// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/core/kernel/url_type.proto

package kernel

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// 地址类型
type UrlType int32

const (
	// 占位，勿使用
	UrlType_URL_TYPE_UNSPECIFIED UrlType = 0
	// 直接查看（网页打开）
	UrlType_URL_TYPE_INLINE UrlType = 1
	// 下载
	UrlType_URL_TYPE_DOWNLOAD UrlType = 2
	// 附件
	UrlType_URL_TYPE_ATTACHMENT UrlType = 2
)

// Enum value maps for UrlType.
var (
	UrlType_name = map[int32]string{
		0: "URL_TYPE_UNSPECIFIED",
		1: "URL_TYPE_INLINE",
		2: "URL_TYPE_DOWNLOAD",
		// Duplicate value: 2: "URL_TYPE_ATTACHMENT",
	}
	UrlType_value = map[string]int32{
		"URL_TYPE_UNSPECIFIED": 0,
		"URL_TYPE_INLINE":      1,
		"URL_TYPE_DOWNLOAD":    2,
		"URL_TYPE_ATTACHMENT":  2,
	}
)

func (x UrlType) Enum() *UrlType {
	p := new(UrlType)
	*p = x
	return p
}

func (x UrlType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (UrlType) Descriptor() protoreflect.EnumDescriptor {
	return file_com_ruijc_storage_core_kernel_url_type_proto_enumTypes[0].Descriptor()
}

func (UrlType) Type() protoreflect.EnumType {
	return &file_com_ruijc_storage_core_kernel_url_type_proto_enumTypes[0]
}

func (x UrlType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use UrlType.Descriptor instead.
func (UrlType) EnumDescriptor() ([]byte, []int) {
	return file_com_ruijc_storage_core_kernel_url_type_proto_rawDescGZIP(), []int{0}
}

var File_com_ruijc_storage_core_kernel_url_type_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_core_kernel_url_type_proto_rawDesc = []byte{
	0x0a, 0x2c, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2f,
	0x75, 0x72, 0x6c, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d,
	0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x2a, 0x6c, 0x0a,
	0x07, 0x55, 0x72, 0x6c, 0x54, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a, 0x14, 0x55, 0x52, 0x4c, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x55, 0x52, 0x4c, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49,
	0x4e, 0x4c, 0x49, 0x4e, 0x45, 0x10, 0x01, 0x12, 0x15, 0x0a, 0x11, 0x55, 0x52, 0x4c, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x44, 0x4f, 0x57, 0x4e, 0x4c, 0x4f, 0x41, 0x44, 0x10, 0x02, 0x12, 0x17,
	0x0a, 0x13, 0x55, 0x52, 0x4c, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x41, 0x54, 0x54, 0x41, 0x43,
	0x48, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x02, 0x1a, 0x02, 0x10, 0x01, 0x42, 0x4e, 0x0a, 0x1d, 0x63,
	0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x50, 0x01, 0x5a, 0x2b,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63,
	0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x6b, 0x65,
	0x72, 0x6e, 0x65, 0x6c, 0x3b, 0x6b, 0x65, 0x72, 0x6e, 0x65, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_com_ruijc_storage_core_kernel_url_type_proto_rawDescOnce sync.Once
	file_com_ruijc_storage_core_kernel_url_type_proto_rawDescData = file_com_ruijc_storage_core_kernel_url_type_proto_rawDesc
)

func file_com_ruijc_storage_core_kernel_url_type_proto_rawDescGZIP() []byte {
	file_com_ruijc_storage_core_kernel_url_type_proto_rawDescOnce.Do(func() {
		file_com_ruijc_storage_core_kernel_url_type_proto_rawDescData = protoimpl.X.CompressGZIP(file_com_ruijc_storage_core_kernel_url_type_proto_rawDescData)
	})
	return file_com_ruijc_storage_core_kernel_url_type_proto_rawDescData
}

var file_com_ruijc_storage_core_kernel_url_type_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_com_ruijc_storage_core_kernel_url_type_proto_goTypes = []interface{}{
	(UrlType)(0), // 0: com.ruijc.storage.core.kernel.UrlType
}
var file_com_ruijc_storage_core_kernel_url_type_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_core_kernel_url_type_proto_init() }
func file_com_ruijc_storage_core_kernel_url_type_proto_init() {
	if File_com_ruijc_storage_core_kernel_url_type_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_core_kernel_url_type_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_com_ruijc_storage_core_kernel_url_type_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_core_kernel_url_type_proto_depIdxs,
		EnumInfos:         file_com_ruijc_storage_core_kernel_url_type_proto_enumTypes,
	}.Build()
	File_com_ruijc_storage_core_kernel_url_type_proto = out.File
	file_com_ruijc_storage_core_kernel_url_type_proto_rawDesc = nil
	file_com_ruijc_storage_core_kernel_url_type_proto_goTypes = nil
	file_com_ruijc_storage_core_kernel_url_type_proto_depIdxs = nil
}
